%define upstream_name    Math-Spline
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Cubic Spline Interpolation of data
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::Derivative)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This package provides cubic spline interpolation of numeric data. The data is
passed as references to two arrays containing the x and y ordinates. It may be
used as an exporter of the numerical functions or, more easily as a class
module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files 
%doc META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Math
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.20.0-7pclos2017
- rebuild against updates

